[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# InitDebugClient

Initialize the debug client.

## Declaration

Source position: dbugintf.pp line 43

`function InitDebugClient: Boolean;`

## Function result

True if the client was successfully started.

## Description

InitDebugClient starts the debug server and then performs all necessary initialization of the debug IPC communication channel.

Normally this function should not be called. The SendDebug call will initialize the debug client when it is first called.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
StartDebugServer |  | Start the debug server

The latest version of this document can be found at lazarus-ccr.sourceforge.net.